%global srcname kaptan

Name:           python-%{srcname}
Version:        0.5.12
Release:    1%{?dist}
Summary:        Configuration parser

License:        BSD
URL:            https://github.com/emre/kaptan
Source0:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(pytest)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e 's/PyYAML>=3.13,<6/PyYAML/' requirements/base.txt

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/%{srcname}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.12-1
- initial build
